Bug 152324 - Anaconda reports an error when attempting to remove logical volumes
Summary: Anaconda reports an error when attempting to remove logical volumes
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 4.0
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Jones
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-28 16:04 UTC by Daniel W. Ottey
Modified: 2011-07-27 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 16:42:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump file (591.01 KB, text/plain)
2005-03-28 16:04 UTC, Daniel W. Ottey
no flags Details

Description Daniel W. Ottey 2005-03-28 16:04:35 UTC
Description of problem:
Anaconda reports an error when attempting to remove logical volumes, and then
reboots the system.

Version-Release number of selected component (if applicable):


How reproducible:
I had a disk which previously contained an LVM logicial volume.  I
re-initialized the disk using the LSI320 Megaraid utility.  But the Red Hat
installer still saw the old LV group.  I used Disk Druid in the installer to
delete the old partitions and create new ones.  When the installer attempted to
perform the LV removals, I received this error.  Then the system rebooted.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel W. Ottey 2005-03-28 16:04:35 UTC
Created attachment 112386 [details]
anaconda dump file

Comment 2 Chris Lumens 2007-03-14 20:05:15 UTC
Peter - this is just another instance of this problem, which I know you've seen
a bunch of times and know how to fix by hand at least.

  Volume group VolGroup00 metadata is inconsistent
  Volume group for uuid not found:
QMqIBZUnOutJD3oY5GhdWmxgkgeummcaBs71DfNTrMfm0k7eR7TrZU1vipgp6ZMK
  Unable to deactivate logical volume "LogVol00"
  Device '/dev/sda2' has been left open.
  Inconsistent metadata copies found - updating to use version 4

Comment 3 Andy Lindeberg 2008-10-01 19:18:36 UTC
Are you still having this problem with RHEL 4.7?


Note You need to log in before you can comment on or make changes to this bug.